Munin::Common::TLSClient(3)

NAME
Munin::Node::TLSClient - Implements the client side of the STARTTLS protocol

SYNOPSIS
 $tls = Munin::Node::TLSClient->new(...);
 $tls->start_tls();

METHODS

new
     $tls = Munin::Node::TLSClient->new(...);

    See Munin::Node::TLS for documentation for constructor arguments.

start_tls
     $tls->start_tls();

    Begin a STARTTLS request